## ligo-segments-1.4.0.tar.gz

=== test/Makefile ===
PYTHON ?= python3

check : \
	segments_verify \
	segments_utils_verify
	@echo "All Tests Passed"

define printpassfail
	{ echo "Pass" ; true ; } || { echo "Fail" ; false ; }
endef

segments_verify segments_utils_verify :
	@echo "=== start $@ ===>"
	$(PYTHON) $@.py && $(printpassfail)
	@echo "<=== end $@ ==="

=== debian/changelog ===
ligo-segments (1.3.0-1) stable; urgency=low

  * unit tests now automatically switch between python and C
    implementations (previously required manual hack)
  * more updates for Python 3 (various versions)
  * expand documentation (and, with it, test coverage)

 -- Kipp Cannon <kipp.cannon@ligo.org>  Wed, 06 Jan 2021 15:35:00 +0900

ligo-segments (1.2.0-1) stable; urgency=low

  * add segmentlist.value_slice_to_index()
  * remove "Recommends:" from .spec (LDG RPM versions too old)

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 18 Oct 2018 12:06:55 +0900

ligo-segments (1.1.1-1) stable; urgency=low

  * remove test suite from packaging scripts

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 18 Oct 2018 12:06:55 +0900

ligo-segments (1.1.0-1) stable; urgency=low

  * better python3 support
  * fix compile errors on Windows
  * a variety of packaging corrections
  * reorganize as a package (not a module)
  * migrate segmentsUtils.py from glue to here

 -- Kipp Cannon <kipp.cannon@ligo.org>  Wed, 17 Oct 2018 14:11:21 +0900

ligo-segments (1.0.0-1) unstable; urgency=low

  * first release of ligo.segments, should be funtionally identical to glue.segments

 -- Duncan Macleod <duncan.macleod@ligo.org>  Thu, 10 May 2018 12:00:00 +0000

=== debian/control ===
Source: ligo-segments
Maintainer: Duncan Macleod <duncan.macleod@ligo.org>
Section: python
Priority: optional
Standards-Version: 4.1.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all-dev,
 python3-all-dev,
 python-pytest,
 python3-pytest,
 python-setuptools,
 python3-setuptools,
 python-six,
 python3-six

Package: python-ligo-segments
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-ligo-common,
 python-six
Recommends:
 lal-python
Description: Representations of semi-open intervals - Python package
 ligo-segments provides representation of semi-open intervals or "segments".
 The main application of this package is represenation of intervals of time
 in gravitational-wave data analysis.
 .
 This package provides Python 2 modules.

Package: python3-ligo-segments
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-six
Recommends:
 lal-python3
Description: Representations of semi-open intervals - Python 3 package
 ligo-segments provides representation of semi-open intervals or "segments".
 The main application of this package is represenation of intervals of time
 in gravitational-wave data analysis.
 .
 This package provides Python 3 modules.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := ligo-segments

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# do not run tests at all.
override_dh_auto_test:
	true
